<template>
  <div>
    <button class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md" @click="FilterAstres('All')">
      All
    </button>
    <button class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md" @click="FilterAstres('Planets')">
      Planets
    </button>
    <button class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md" @click="FilterAstres('Moons')">
      Moons
    </button>
    <button class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md" @click="FilterAstres('Favorites')">
      Favorites
    </button>
    <div class="p-10">
      <div v-for="(astre, index) in astreList" :key="index" class="max-w-sm rounded overflow-hidden shadow-lg">
        <CardAstre :astre="astre"/>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      astreList: [],
      favoriteList: []
    }
  },
  async created () {
    await this.$store.dispatch('astre/getAstres')
    this.astreList = this.$store.state.astre.astreList
  },
  methods: {
    FilterAstres (name) {
      if ( name == 'All'){
        this.astreList = this.$store.state.astre.astreList
      }else if ( name == 'Planets'){
        this.astreList = this.$store.state.astre.astreList.filter((astre) => astre.isPlanet == true );
      }else if ( name == 'Moons'){
        this.astreList = this.$store.state.astre.astreList.filter((astre) => astre.moons != null );
      }else if ( name == 'Favorites'){
        this.astreList = this.$store.state.favorite.favoriteList
      }
    }
  }
}
</script>
